%global commit 399bccdabc0a5ca00b2350f31abddce63b112d8a
%global shortcommit  %(c=%{commit}; echo ${c:0:7})
%define api             1.0
%define major           0
%define girmajor        1.0
%define libname         %mklibname %{name} %{major}
%define develname       %mklibname -d %{name}
%define girname         %mklibname %{name}-gir %{girmajor}

%define with_tests 0
# needed to prevent spurtious devel require
%global _requires_exclude devel\\(libmozjs\-52.*\\)

Name:          cjs
Epoch:         1
Version:       6.2.0
Release:       %mkrel 1
Summary:       Javascript Bindings for Cinnamon

Group:         Development/Other
# The following files contain code from Mozilla which
# is triple licensed under MPL1.1/LGPLv2+/GPLv2+:
# The console module (modules/console.c)
# Stack printer (gjs/stack.c)
License:       MIT and (MPLv1.1 or GPLv2+ or LGPLv2+)
URL:           http://cinnamon.linuxmint.com

Source0:       https://github.com/linuxmint/cjs/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

#Source0: https://github.com/linuxmint/cjs/tarball/%{shortcommit}#/%{name}-%{version}.git%{shortcommit}.tar.gz

BuildRequires: pkgconfig(mozjs-115)
BuildRequires: pkgconfig(cairo-gobject)
BuildRequires: pkgconfig(gobject-introspection-1.0) >= 1.31.22
BuildRequires: readline-devel
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(sysprof-capture-4)
BuildRequires: intltool
# Bootstrap requirements
BuildRequires: gtk-doc
BuildRequires: gnome-common
BuildRequires: meson
BuildRequires: cmake
BuildRequires: git

BuildRequires: dbus-x11
BuildRequires: x11-server-xvfb

%description
Cjs allows using Cinnamon libraries from Javascript. It's based on the
Spidermonkey Javascript engine from Mozilla and the GObject introspection
framework.

%package -n %{libname}
Group:          System/Libraries
Summary:        JavaScript bindings based on gobject-introspection

%description -n %{libname}
This package contains JavaScript bindings based on gobject-introspection.

%package -n %{develname}
Summary: Development package for %{name}
Group: Development/C
Requires:       %{libname} = %{?epoch}:%{version}-%{release}
Provides:       %{name}-devel = %{?epoch}:%{version}-%{release}
Provides:       lib%{name}-devel = %{?epoch}:%{version}-%{release}

%description -n %{develname}
Files for development with %{name}.

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{?epoch}:%{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package tests
Summary: Tests for the cjs package
Requires: %{name}%{?_isa} = %{?epoch}:%{version}-%{release}

%description tests
The cjs-tests package contains tests that can be used to verify
the functionality of the installed cjs package.

%prep
%setup -q
%autopatch -p1

%build
%meson
%meson_build

%install
%meson_install

##check
#ifnarch s390 s390x
#xvfb-run -a /usr/bin/meson test -C %{_vpath_builddir} \
# --num-processes %{_smp_build_ncpus} --print-errorlog	
#endif

#Remove libtool archives.
find %{buildroot} -name '*.la' -delete

%if ! %with_tests
rm -fr %buildroot%{_libexecdir}/installed-tests/
rm -fr %buildroot%{_datadir}/installed-tests/
rm -f %buildroot%{_datadir}/glib-2.0/schemas/org.cinnamon.CjsTest.gschema.xml
%endif

%files
%doc COPYING NEWS
%{_bindir}/cjs
%{_bindir}/cjs-console

%files -n %{libname}
%{_libdir}/*.so.*

%files -n %{girname}
%{_libdir}/cjs/

%files -n %{develname}
%doc examples/*
%{_includedir}/cjs-1.0/
%{_datadir}/cjs-1.0/*/*.supp
%{_libdir}/pkgconfig/cjs-*1.0.pc
%{_libdir}/*.so

%if %with_tests
%files tests
%{_libexecdir}/installed-tests/
%{_datadir}/installed-tests/
%{_datadir}/glib-2.0/schemas/org.cinnamon.CjsTest.gschema.xml
%endif


%changelog
* Sat Jul 27 2024 joequant <joequant> 1:6.2.0-1.mga10
+ Revision: 2082672
- update to 6.2.0

* Fri Dec 01 2023 joequant <joequant> 1:6.0.0-1.mga10
+ Revision: 2012283
- update to 6.0.0

* Sat Sep 02 2023 joequant <joequant> 1:5.8.0-1.mga10
+ Revision: 1983619
- update to 5.8.0

* Sat Nov 19 2022 joequant <joequant> 1:5.6.0-1.mga9
+ Revision: 1908952
- update to 5.6.0

* Sun Aug 07 2022 joequant <joequant> 1:5.4.1-1.mga9
+ Revision: 1875987
- update to 5.4.1

* Fri Jul 01 2022 joequant <joequant> 1:5.4.0-1.mga9
+ Revision: 1866975
- update to 5.4.0

* Fri Apr 01 2022 umeabot <umeabot> 1:5.2.0-3.mga9
+ Revision: 1838067
- Mageia 9 Mass Rebuild
+ joequant <joequant>
- rebuild for mozjs

* Wed Nov 24 2021 joequant <joequant> 1:5.2.0-1.mga9
+ Revision: 1758963
- update to 5.2.0

* Thu Aug 05 2021 luigiwalser <luigiwalser> 1:5.0.0-2.mga9
+ Revision: 1739637
- rebuild for libffi

* Wed Jun 02 2021 joequant <joequant> 1:5.0.0-1.mga9
+ Revision: 1729181
- update to 5.0.0

* Fri Mar 19 2021 joequant <joequant> 1:4.8.2-1.mga9
+ Revision: 1704899
- update to 4.8.2

* Thu Dec 31 2020 neoclust <neoclust> 1:4.8.1-2.mga8
+ Revision: 1666660
- Disable the test package as we miss dependancies

* Fri Dec 18 2020 joequant <joequant> 1:4.8.1-1.mga8
+ Revision: 1660585
- update to 4.8.1

* Tue Dec 08 2020 joequant <joequant> 1:4.8.0-1.mga8
+ Revision: 1654592
- fix deps
- fix deps
- fix deps
- update to 4.8.0

* Thu Nov 05 2020 wally <wally> 1:4.6.0-5.mga8
+ Revision: 1642824
- drop unneeded autoconf patch added in r1642799

* Thu Nov 05 2020 joequant <joequant> 1:4.6.0-4.mga8
+ Revision: 1642799
- fix up cjs

* Thu Jun 11 2020 joequant <joequant> 1:4.6.0-3.mga8
+ Revision: 1592276
- rebuild with new ffi

* Wed Jun 10 2020 joequant <joequant> 1:4.6.0-2.mga8
+ Revision: 1591579
- fix cjs configure

* Sat May 16 2020 joequant <joequant> 1:4.6.0-1.mga8
+ Revision: 1584264
- update to 4.6.0

* Tue Feb 18 2020 umeabot <umeabot> 1:4.4.0-3.mga8
+ Revision: 1542117
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 luigiwalser <luigiwalser> 1:4.4.0-2.mga8
+ Revision: 1475938
- rebuild for readline

* Sat Dec 07 2019 joequant <joequant> 1:4.4.0-1.mga8
+ Revision: 1464882
- upgrade 4.4.0

* Fri Jul 05 2019 joequant <joequant> 1:4.2.0-1.mga8
+ Revision: 1418825
- update to 4.2.0

* Wed Jan 30 2019 daviddavid <daviddavid> 1:4.0.0-2.mga7
+ Revision: 1361865
- add upstream patch to fix build with new autoconf-archive

* Sun Nov 04 2018 joequant <joequant> 1:4.0.0-1.mga7
+ Revision: 1328356
- upgrade to 4.0.0

* Sat Sep 22 2018 umeabot <umeabot> 1:3.8.0-2.mga7
+ Revision: 1296267
- Mageia 7 Mass Rebuild

* Sun Apr 29 2018 joequant <joequant> 1:3.8.0-1.mga7
+ Revision: 1223461
- upgrade to 3.8.0

* Sat Nov 25 2017 joequant <joequant> 1:3.6.1-1.mga7
+ Revision: 1179193
- upgrade to 3.6.1
- upgrade to 3.6.1

* Wed Nov 01 2017 joequant <joequant> 1:3.6.0-1.mga7
+ Revision: 1175363
- update to 3.6.0

* Sat Sep 02 2017 joequant <joequant> 1:3.4.4-1.mga7
+ Revision: 1150841
- update to 3.4.4

* Mon Jul 17 2017 joequant <joequant> 1:3.4.3-1.mga7
+ Revision: 1123965
- update to 3.4.3

* Mon Jan 23 2017 joequant <joequant> 1:3.2.0-1.mga6
+ Revision: 1083152
- upgrade to 3.2.0

* Sun May 22 2016 joequant <joequant> 1:3.0.1-1.mga6
+ Revision: 1017500
- upgrade to 3.0.1

* Tue May 03 2016 joequant <joequant> 1:3.0.0-1.mga6
+ Revision: 1008823
- upgrade to 3.0.0

* Sat Feb 13 2016 umeabot <umeabot> 1:2.8.0-2.mga6
+ Revision: 959725
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 joequant <joequant> 1:2.8.0-1.mga6
+ Revision: 893683
- upgrade to 2.8.0

* Thu Jun 25 2015 joequant <joequant> 1:2.6.2-1.mga6
+ Revision: 842953
- upgrade to 2.6.2

* Thu Nov 27 2014 joequant <joequant> 1:2.4.1-1.mga6
+ Revision: 799547
- 2.4.1

* Sun Nov 23 2014 joequant <joequant> 1:2.4.0-1.mga5
+ Revision: 798408
- upgrade to 2.4
- upgrade to 2.4
- upgrade to 2.2.2
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Rebuild to fix library dependencies
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 joequant <joequant> 1:2.2.0-2.mga5
+ Revision: 616810
- upgrade to 2.2

* Mon Oct 21 2013 umeabot <umeabot> 1:2.0.0-2.mga4
+ Revision: 539577
- Mageia 4 Mass Rebuild

* Mon Oct 07 2013 joequant <joequant> 1:2.0.0-1.mga4
+ Revision: 492477
- update to 2.0.0

* Tue Oct 01 2013 joequant <joequant> 1:1.9.1-1.mga4
+ Revision: 490041
- update to 1.9.1

* Fri Aug 23 2013 joequant <joequant> 1.34.0-0.1.gitfb472ad.mga4
+ Revision: 470090
- imported package cjs

